# migrate-to-gitea
## cli tool to migrate from git{hub,lab} to a gitea instance

migrate-to-gitea solves the problem wherein you have just spun up a new self-hosted [gitea](https://gitea.io) instance, and now you want to move your project history there (or perhaps to one of the more well known public instances).

### usage
```
migrate-to-gitea --from github:matthewess --to git.mat.services:mat
```

### features
- supports migrating the following forges to a gitea instance
	- [ ] github
	- [ ] gitlab
	- [ ] gitea
- [ ] interactive mode to take settings incrementally from stdin
- [ ] dry-run mode to preview changes before applying them
- [ ] mark migrated repos as archived
- [ ] transform migrated repos into mirrors
